.TH "SC\-CONFIG" "1" "15 Feb 2001" "Version 2"
.SH NAME
sc\-config \- script to get information about the installed version of SC
.SH SYNOPSIS
.B sc\-config
.RB "[" \-\-prefix "[=\fIDIR\fP] ]"
.RB "[" \-\-exec\-prefix "[=\fIDIR\fP] ]"
.RB "[" \-\-version "]"
.RB "[" \-\-libs "]"
.RB "[" \-\-cppflags "]"
.RB "[" \-\-cc "]"
.RB "[" \-\-cflags "]"
.RB "[" \-\-cxx "]"
.RB "[" \-\-cxxflags "]"
.RB "[" \-\-f77 "]"
.RB "[" \-\-f77flags "]"
.SH DESCRIPTION
.PP
The \fBsc\-config\fP program can be used to obtain the compilers, compiler
options and libraries needed to use the SC (Scientific Computing) toolkit from
your program.
.SH OPTIONS
.PP
The \fBsc\-config\fP program returns information about how SC was compiled and
installed. The following information is available:
.TP 8
.B  \-\-prefix
The directory where SC is installed.
.TP 8
.B  \-\-version
The version of SC.
.TP 8
.B  \-\-libdir
The directory were the libraries are found.
.TP 8
.B  \-\-libs
The libraries and library paths needed to link.
.TP 8
.B  \-\-cppflags
The include directories needed to build.
.TP 8
.B  \-\-cc
The C compiler.
.TP 8
.B  \-\-cflags
The C compiler flags.
.TP 8
.B  \-\-cxx
The C++ compiler.
.TP 8
.B  \-\-cxxflags
The C++ compiler flags.
.TP 8
.B  \-\-f77
The FORTRAN 77 compiler.
.TP 8
.B  \-\-f77flags
The FORTRAN 77 compiler flags.
.SH EXAMPLES

To use the sc\-config program to link your executable to SC, use a Makefile for
GNU make similar to the following:
.br

.RS
SCCONFIG = /usr/bin/sc\-config
.br
CXX := $(shell $(SCCONFIG) \-\-cxx)
.br
CXXFLAGS := $(shell $(SCCONFIG) \-\-cxxflags)
.br
CPPFLAGS := $(shell $(SCCONFIG) \-\-cppflags)
.br
LIBS := $(shell $(SCCONFIG) \-\-libs)

.TP 8
myprog: myprog.o
$(CXX) $(CXXFLAGS) \-o $@ $^ $(LIBS)


